Subject: Re: Question about linux boot procedure (head_64.S)

From: Geoff Levand <[email-masked]>
Date: Tue, 1 Sep 2009 18:19:34 -0700

On 09/01/2009 05:25 PM, Lee HongWoo wrote:
> On Wed, Sep 2, 2009 at 2:32 AM, Geoff Levand <[email-masked]>wrote:
>> In the general case, __start is the entry point of the kernel.
>> It is where the bootloader or boot wrapper program jumps to
>> when it transfers control to the kernel.
> 
> I believe __start is the entry point of the kernel in this case.
> And the entry point is __GLOBAL(__start) in the head_64.S.
> 
> What I asked is where or what __start is called in the prom_init.c
> __start(hdr, KERNELBASE + offset, 0);

I think Michael answered this.  Just FYI, more info about the powerpc
boot is in the kernel source file:

  Documentation/powerpc/booting-without-of.txt

-Geoff